---
title: "Get organisations filtered and paged"
slug: "get-organisations-filtered-and-paged-1"
updated: 2024-09-04T08:47:07Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organisations filtered and paged

Get/api/v1/relations/organisations/filter

Get a paged list of existing organisations, optionally filtered to the given parameters. A param-based alternative to the '/filter' POST endpoint.

		
			

**Description**

Retrieve a paged list of existing organisations, optionally filtered to the given parameters. The Bloxs relations-api offers 2 options to get organisations filtered and paged. One is through the POST option, and as an alternative there is a GET operation available. The functional difference is that the POST option offers the ability to sort the results. Furthermore, the POST includes the parameters in the body whereas the GET includes them in the url.

Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

Organisations are tenants who are not natural persons but rather entities such as commercial real estate or partnerships. For instance, a university providing rooms where the rent is collected directly from the tenant.

**Use Case**

The Bloxs user has an external App connected to Bloxs. Through this operation the user can display a paged list of organisations & the related information. This operation can be used if the user wants to display multiple organisations rather than just a specific one. If the user wants to display a single organisation the preference is to use the GET (organisations) operation.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| ExternalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system . |
| relationTypeName | Category of the organisation. The available categories are pre-defined in the system but can be configured by the user. If this data point contains a value that is not present in the available categories, a validation error will be received. To retrieve the list of available option the following endpoint can be used: [GET RelationTypes](https://bloxs.document360.io/apidocs/get-all-relation-types). |
| name | Name of the relation. |
| isActive | Boolean. A relationship can be archived. If the relationship is archived, then the status is inactive. True: Active False: Inactive |
| phoneNumber | Phone number of the relation. |
| mobileNumber | Mobile phone number of the relation. |
| addressStreet | The street of the relation. |
| AddressPostalCode | The postal code of the relation. |
| AddressCity | The place of residence of the relation. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |

**Response fields**

In addition to the fields in the request, the response also contains the fields in the table below.

| Field | Description |
| --- | --- |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on ascending name, columnName will contain the value 'name'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parameterspageSizeinteger (int32) 

The requested page size. Defaults to 100 when not given.

Minimum1Maximum1000
pageNumberinteger (int32) 

The requested page number. Defaults to 1 when not given.

Minimum1Maximum9999
namestring

Optional filter on the name of the organisation.

referencestring

Optional filter on the reference of the organisation.

externalIdentifierstring

Optional filter on the external API identifier of the organisation.

relationTypeNamestring

Optional filter on the relation type name of the organisation.

phoneNumberstring

Optional filter on the phone number of the organisation.

mobileNumberstring

Optional filter on the mobile number of the organisation.

primaryEmailAddressesstring

Optional filter on the primary e-mail addressess of the organisation.

addressStreetAndHouseNumberstring

Optional filter on the street and house number of the address of the organisation.

addressPostalCodestring

Optional filter on the postal code of the address of the organisation.

addressCitystring

Optional filter on the city of the address of the organisation.

addressCountryISOCodestring

Optional filter on the country ISO code of the address of the organisation.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='5b1a8c22-323c-474d-83af-ba066eb99d67'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

organisations Array of object (OrganisationSearchResultFilter)  | null  object  namestring   | null  
referencestring   | null  
externalIdentifierstring   | null  
relationTypeNamestring   | null  
phoneNumberstring   | null  
mobileNumberstring   | null  
primaryEmailAddressesstring   | null  
addressStreetAndHouseNumberstring   | null  
addressPostalCodestring   | null  
addressCitystring   | null  
addressCountryISOCodestring   | null  
archiveDatestring  (date-time)   | null  
lastModifiedstring  (date-time)   | null
